#crear variables
texto = "Taller de Programación 2"
print (texto)
print("-----------------------------")


#reasignar valores
texto=1
print (texto)


tex = "hola" #texto
num = 22     #numero
dec = 6.7    #decimal
bol= True    #booleano
lis = [20, 30, 40] #lista
lisVar = [20 , "treinta"] #lista variada
tuplasNocambia = ("mi diccionario", "mi clave") #tuplas:  son inmutables
diccionario = {
    "nombre" : "Cristian",
    "apellido" : "Moreno" #diccionario: clave - valor
}


#imprimir variables
print("-----------------------------")
print(bol, dec, num, tex, list, lisVar, tuplasNocambia, diccionario)


print("-----------------------------")
print(type(bol)) #tipo de variable


#concatenar
print("-----------------------------")
tex2= "Mundo"
print (tex + " " + tex2)
print (f"{tex} {tex2}")
print ("Bienvenidos,  {} {}".format(tex,tex2))


#convertir tipos de datos
palabra = "soy un texto"
numerico = 25
print(palabra + " " + str(numerico))
a_texto= str(numerico)
a_entero= int(a_texto)
a_float = float(a_entero)
